Page MenuHomeFreeBSD

biology/bowtie2: update to bug-fix release 2.2.9
ClosedPublic

Authored by jrm on Oct 7 2016, 5:51 PM.

Details

Summary

biology/bowtie2: update to bug-fix release 2.2.9

Test Plan

portlint -AC: Ok
testport: OK (poudriere: 9.3-RELEASE-p45, amd64)
testport: OK (poudriere: 10.3-RELEASE-p7, amd64)
testport: OK (poudriere: 11.0-RC3, amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm updated this revision to Diff 21154.Oct 7 2016, 5:51 PM
jrm retitled this revision from to biology/bowtie2: update to bug-fix release 2.2.9.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3.
AMDmi3 requested changes to this revision.Oct 9 2016, 10:48 PM
AMDmi3 edited edge metadata.

I'd also:

  • fix license (GPLv3+)
  • add LICENSE_FILE
  • optionize DOCS and EXAMPLES
  • fix whitespace (2 tabs) in the first block
This revision now requires changes to proceed.Oct 9 2016, 10:48 PM
jrm updated this revision to Diff 21214.Oct 10 2016, 4:27 AM
jrm edited edge metadata.

Incorporate suggestions from AMDmi3

AMDmi3 accepted this revision.Oct 10 2016, 10:57 AM
AMDmi3 edited edge metadata.
This revision is now accepted and ready to land.Oct 10 2016, 10:57 AM
jrm edited edge metadata.Oct 10 2016, 7:19 PM
jrm added a subscriber: bacon4000_gmail.com.
mat added inline comments.Oct 12 2016, 10:51 AM
biology/bowtie2/Makefile
6 ↗(On Diff #21214)

There may be missing a <tab> after the = here.

jrm updated this revision to Diff 23075.Dec 19 2016, 2:44 AM
jrm edited edge metadata.

bowtie2-build and bowtie2-inspect need python

This revision now requires review to proceed.Dec 19 2016, 2:44 AM
swills edited edge metadata.Dec 20 2016, 4:29 PM

Fix line 6

jrm updated this revision to Diff 23141.Dec 20 2016, 4:37 PM
jrm marked an inline comment as done.
jrm edited edge metadata.

Address mat's comment (add a tab)

swills accepted this revision.Dec 20 2016, 4:38 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Dec 20 2016, 4:38 PM
This revision was automatically updated to reflect the committed changes.